Create invitation
curl --request POST \
--url https://api.dualship.run/api/v1/workspaces/{id}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_id": "<string>",
"email": "<string>",
"expires_in_hours": 360
}
'import requests
url = "https://api.dualship.run/api/v1/workspaces/{id}/invitations"
payload = {
"role_id": "<string>",
"email": "<string>",
"expires_in_hours": 360
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role_id: '<string>', email: '<string>', expires_in_hours: 360})
};
fetch('https://api.dualship.run/api/v1/workspaces/{id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"email": "<string>",
"expires_at": "<string>",
"id": "<string>",
"invite_url": "<string>",
"inviter_name": "<string>",
"role": {
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "admin"
},
"token": "<string>",
"workspace_name": "<string>"
}{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}{
"code": "FORBIDDEN",
"error": "insufficient permissions"
}{
"code": "CONFLICT",
"error": "resource already exists"
}{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}workspace-invitations
Create invitation
Create an invitation to join a workspace (requires owner or admin role)
POST
/
api
/
v1
/
workspaces
/
{id}
/
invitations
Create invitation
Authorizations
JWT Bearer token authentication
Path Parameters
Workspace ID
Body
application/json
Invitation details
Was this page helpful?
⌘I